Bug 1303657 - [abrt] libkscreen-qt5: XRandRScreen::toKScreenScreen(): kscreen_backend_launcher killed by SIGSEGV
[abrt] libkscreen-qt5: XRandRScreen::toKScreenScreen(): kscreen_backend_launc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libkscreen-qt5 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0dd9c7e06e3d23f616518354013...
:
: 1327492 1341926 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 10:18 EST by C6563
Modified: 2016-12-20 13:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.04 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: core_backtrace (7.62 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: dso_list (8.03 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: environ (1.85 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: maps (36.60 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: mountinfo (3.59 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: open_fds (468 bytes, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-01 10:18 EST, C6563
no flags Details

  None (edit)
Description C6563 2016-02-01 10:18:09 EST
Version-Release number of selected component:
libkscreen-qt5-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/kf5/kscreen_backend_launcher
crash_function: XRandRScreen::toKScreenScreen
executable:     /usr/libexec/kf5/kscreen_backend_launcher
global_pid:     2230
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XRandRScreen::toKScreenScreen at /usr/src/debug/libkscreen-5.5.4/backends/xrandr/xrandrscreen.cpp:67
 #1 XRandRConfig::toKScreenConfig at /usr/src/debug/libkscreen-5.5.4/backends/xrandr/xrandrconfig.cpp:115
 #2 XRandR::config at /usr/src/debug/libkscreen-5.5.4/backends/xrandr/xrandr.cpp:203
 #3 BackendDBusWrapper::getConfig at /usr/src/debug/libkscreen-5.5.4/src/backendlauncher/backenddbuswrapper.cpp:65
 #4 BackendAdaptor::getConfig at /usr/src/debug/libkscreen-5.5.4/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.cpp:39
 #5 BackendAdaptor::qt_static_metacall at /usr/src/debug/libkscreen-5.5.4/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.moc:108
 #6 BackendAdaptor::qt_metacall at /usr/src/debug/libkscreen-5.5.4/x86_64-redhat-linux-gnu/src/backendlauncher/backendadaptor.moc:154
 #7 QDBusConnectionPrivate::deliverCall at qdbusintegrator.cpp:978
 #8 QDBusConnectionPrivate::activateCall at qdbusintegrator.cpp:892
 #9 QDBusConnectionPrivate::activateObject at qdbusintegrator.cpp:1462

Potential duplicate: bug 1272518
Comment 1 C6563 2016-02-01 10:18:14 EST
Created attachment 1120139 [details]
File: backtrace
Comment 2 C6563 2016-02-01 10:18:15 EST
Created attachment 1120140 [details]
File: cgroup
Comment 3 C6563 2016-02-01 10:18:17 EST
Created attachment 1120141 [details]
File: core_backtrace
Comment 4 C6563 2016-02-01 10:18:19 EST
Created attachment 1120142 [details]
File: dso_list
Comment 5 C6563 2016-02-01 10:18:20 EST
Created attachment 1120143 [details]
File: environ
Comment 6 C6563 2016-02-01 10:18:21 EST
Created attachment 1120144 [details]
File: exploitable
Comment 7 C6563 2016-02-01 10:18:23 EST
Created attachment 1120145 [details]
File: limits
Comment 8 C6563 2016-02-01 10:18:24 EST
Created attachment 1120146 [details]
File: maps
Comment 9 C6563 2016-02-01 10:18:26 EST
Created attachment 1120147 [details]
File: mountinfo
Comment 10 C6563 2016-02-01 10:18:27 EST
Created attachment 1120148 [details]
File: namespaces
Comment 11 C6563 2016-02-01 10:18:29 EST
Created attachment 1120149 [details]
File: open_fds
Comment 12 C6563 2016-02-01 10:18:30 EST
Created attachment 1120150 [details]
File: proc_pid_status
Comment 13 C6563 2016-02-01 10:18:31 EST
Created attachment 1120151 [details]
File: var_log_messages
Comment 14 rommon 2016-04-15 04:49:51 EDT
*** Bug 1327492 has been marked as a duplicate of this bug. ***
Comment 15 Daiver 2016-06-02 00:43:36 EDT
*** Bug 1341926 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 10:20:05 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:22:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.